Package org.eclipse.emf.compare.ide.ui.internal.logical

# Class StorageTypedElement

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.StorageTypedElement

All Implemented Interfaces:
  `org.eclipse.compare.IEncodedStreamContentAccessor`, `org.eclipse.compare.IStreamContentAccessor`, `org.eclipse.compare.ITypedElement`, `org.eclipse.core.runtime.IAdaptable`

public class StorageTypedElement extends Object implements org.eclipse.compare.ITypedElement, org.eclipse.compare.IEncodedStreamContentAccessor, org.eclipse.core.runtime.IAdaptable
Mostly copied from org.eclipse.team.internal.ui.StorageTypedElement.

## Field Summary

### Fields inherited from interface org.eclipse.compare.ITypedElement

`FOLDER_TYPE, TEXT_TYPE, UNKNOWN_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`StorageTypedElement(org.eclipse.core.resources.IStorage storage, String fullPath)`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAdapter(Class adapter)`
`String`
`getCharset()`
`InputStream`
`getContents()`
`org.eclipse.swt.graphics.Image`
`getImage()`
`String`
`getName()`
`String`
`getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StorageTypedElement

public StorageTypedElement(org.eclipse.core.resources.IStorage storage, String fullPath)
Default constructor.

Parameters:
  `storage` - The storage for which we need a typed element.
  `fullPath` - Full path to this storage, relative to the workspace root.

## Method Details

### getAdapter

public Object getAdapter(Class adapter)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`

### getCharset

public String getCharset() throws org.eclipse.core.runtime.CoreException

Specified by:
  `getCharset` in interface `org.eclipse.compare.IEncodedStreamContentAccessor`
Throws:
  `org.eclipse.core.runtime.CoreException`

### getContents

public InputStream getContents() throws org.eclipse.core.runtime.CoreException

Specified by:
  `getContents` in interface `org.eclipse.compare.IStreamContentAccessor`
Throws:
  `org.eclipse.core.runtime.CoreException`

### getImage

public org.eclipse.swt.graphics.Image getImage()

Specified by:
  `getImage` in interface `org.eclipse.compare.ITypedElement`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.compare.ITypedElement`

### getType

public String getType()

Specified by:
  `getType` in interface `org.eclipse.compare.ITypedElement`